Imports ZedGraph

Public Class Diagramm
    Private Entf() As Double
    Private Abs() As Double

    Private lineDiagramm As LineItem
    Private ptlDiagramm As New PointPairList

    Private Sub Diagramm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If Me.Init_Diagramm() Then
            Me.ptlDiagramm.Clear()
            Me.ptlDiagramm.Add(Me.Entf, Me.Abs)
            Me.ZedGraphControl1.AxisChange()
            Me.ZedGraphControl1.Invalidate()
        End If
    End Sub

    Private Function Init_Diagramm() As Boolean
        Try
            Dim gp As GraphPane = Me.ZedGraphControl1.GraphPane

            gp.Fill = New Fill(Color.FromArgb(200, Color.White), Color.FromArgb(140, Color.LightGreen), 90.0F)

            gp.XAxis.Scale.Min = 0.0#
            gp.XAxis.Scale.Max = Me.Entf(Me.Entf.Length - 1)
            gp.XAxis.Title.Text = "Entfernung in [m]"

            gp.Title.Text = "Absenkung nach Theis"

            Me.lineDiagramm = gp.AddCurve("", ptlDiagramm, Color.Blue, SymbolType.None)
            Me.lineDiagramm.Line.IsAntiAlias = True
            Me.lineDiagramm.Line.Width = 2.0#

            gp.YAxis.Scale.MaxAuto = True
            gp.YAxis.Scale.MinAuto = True
            gp.YAxis.Title.Text = "Absenkung in [m]"

            Me.ZedGraphControl1.AxisChange()
            Me.ZedGraphControl1.Invalidate()

            Return True
        Catch ex As Exception
            Return False
        End Try
    End Function

    Public Sub New(ByVal _Entf() As Double, ByVal _Abs() As Double)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.Entf = _Entf
        Me.Abs = _Abs
    End Sub
End Class